Subject: Re: [Gen-art] [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

From: "Black, David" <[email-masked]>
Date: Tue, 4 Aug 2015 14:30:17 +0000

Adrian,

Thanks for the response - this note contains the follow-ups on nits/editorial
items.  All of these are nits or editorial, and hence I defer to the editors'
discretion on what (if anything) to do about them.  The two suggestions for
text revisions in your response will definitely improve the draft, IMHO.

Thanks,
--David

> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: Monday, August 03, 2015 1:38 PM
> To: Black, David; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; 'General Area Review
> Team'
> Cc: [email-masked]; [email-masked]
> Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05
> 
> Hello David,
> 
> Responding as a contributing author who wants to see this work move forward
> promptly...
> 
> Many thanks for taking the time to review.

[... snip ...]

> > Nits/editorial comments:
> >
> > Section: 3.2.1 - Editorial suggestion: Changing "+" -> "+/-" in the
> > formula for nominal central frequency and re-defining n as a
> > non-negative integer would be slightly clearer.
> 
> This is something you'd need to take up with the ITU-T, I think.
> We don't want to change the formulae in common use where the data plane is
> defined.

Ok, proof by (ITU-T) authority wins here.

> > p.6 - please state that slot width is +/- wrt nominal central frequency.
> 
> Ah, took me a moment to see what you mean.
> Yes, this could be clarified with
> 
> OLD
>    o  Slot Width: The slot width determines the "amount" of optical
>       spectrum regardless of its actual "position" in the frequency
>       axis.  A slot width is constrained to be m x SWG (that is, m x
>       12.5 GHz), where m is an integer greater than or equal to 1.
> NEW
>    o  Slot Width: The slot width determines the "amount" of optical
>       spectrum regardless of its actual "position" in the frequency
>       axis.  A slot width is constrained to be m x SWG (that is, m x
>       12.5 GHz), where m is an integer greater than or equal to 1.
>       The slot width defines the amount of spectrum in use on
>       each side of the central frequency, thus the amount of
>       frequency in use is actually twice the value of the slot width.

That definitely helps.

> 
> > p.8 - Fig 4 could use a bit more explanation - the two frequency
> > slots occur at different points along the path.
> 
> Maybe...
> 
> OLD
>    o  Effective Frequency Slot [G.870]: The effective frequency slot of
>       a media channel is that part of the frequency slots of the filters
>       along the media channel that is common to all of the filters'
>       frequency slots.  Note that both the Frequency Slot and Effective
>       Frequency Slot are local terms.
> NEW
>    o  Effective Frequency Slot [G.870]: The effective frequency slot of
>       a media channel is that part of the frequency slots of the filters
>       along the media channel that is common to all of the filters'
>       frequency slots.  Note that both the Frequency Slot and Effective
>       Frequency Slot are local terms.
> 
>       Figure 4 shows the effect of combining two filters along a channel.
>       The combination of frequency slot 1 and frequency slot 2 applied to
>        the media channel is effective frequency slot shown.
> END

That also helps.

> > Nit: First nominal central frequency 'X' in Fig 5 needs to move 2
> > chars left.
> 
> I think it is one char :-)

Touche'
 
> > Section 4 - TE link term shows up w/o acronym expansion or definition.
> > Please define it before use.
> 
> Yes. Last line of section 4.

   This section provides a mapping of the ITU-T G.872 architectural
   aspects to GMPLS/Control plane terms, and considers the relationship
   between the architectural concept/construct of media channel and its
   control plane representations (e.g., as a TE link).

I don't understand how "e.g." defines "TE link".

> > Sections 4.2 and 4.3 - this may be my unfamiliarity, but it would have
> > helped to have some sort of heads-up at the start of the figures that
> > the top (non-GMPLS) portion of the figures prior to Figure 12 are
> > entirely in the optical domain.  Perhaps explaining what the two
> > planes are (and how they're realized/implemented) in Figure 8 would help.
> 
> Hmmm. I think the reader should be coming at this with the concepts of TE link
> and LSR in their heads so that the mapping is clear.

Ok, chalk this one (and probably the previous one) up to me not being a
GMPLS expert.

> > Last paragraph on p.16: "trnaponders" -> "transponders".  Also, I saw
> > "transceivers" earlier - if that's the same concept, only one term
> > should be used.
> 
> While "transponder" is technically correct, using "transceiver" would be more
> consistent.

Ok.
 
> > p.19 - Even after expanding acronyms, I don't understand this sentence:
> >
> >    If two OTSis must be
> >    switched to different ports, it is better to carry them by different
> >    FSC channels, and the media layer switch is enough in this scenario.
> >
> > A sentence or two explaining what an "FSC channel" is earlier in that
> > paragraph would help.
> >
> > p.21, 1st para:
> >
> >    messages, and a specific frequency slot can be requeste on any
> >
> > s/requeste/requested
> >
> > p.21:
> >
> >    In GMPLS the requested effective frequency slot is represented to the
> >    TSpec present in the Path message, and the effective frequency slot
> >    is mapped to the FlowSpec carried in the Resv message.
> >
> > I believe those are RSVP-TE messages - that should be stated.
> >
> > p. 22:
> >
> >    d.  n can change, but m needs to remain the same along the path.
> >        This ensures that the effective frequency slot remains valid, but
> >        allows the frequency slot to be moved within the spectrum from
> >        hop to hop.
> >
> > In full generality, that may require the ability to shift or convert a
> > frequency slot, which is a concept that doesn't appear to occur in the
> > draft prior to this point.
> 
> Penultimate paragraph of page 21.

Ok.
 
> > Figures 15 and 16 need their variables (e.g., m_a, FSb) somehow
> > labelled or explained
> >
> > After Figure 16, the switch to the EFS acronym is a surprise, given
> > the extensive prior usage of the spelled-out term.  This paragraph
> > contains all uses of the EFS acronym - I suggest removing that acronym
> > and spelling out the term.
> >
> > Section 4.6: I don't understand why this sentence is in the middle of
> > the paragraph - it doesn't seem to describe an example of different
> > slot width granularities:
> >
> >    Consider a node with an application where the nominal
> >    central frequency granularity is 12.5 GHz and where slot widths are
> >    multiples of 25 GHz.
> >
> > I'd suggest removing it.
> >
> > 5.1.1. What is L-band?  This is the first time it's mentioned.
> >
> > idnits 2.13.02 didn't find anything that needs attention.
> 
> Many thanks,
> Adrian

---

From: Fatai Zhang <[email-masked]>
Date: Wed, 5 Aug 2015 01:07:34 +0000

Hi Adrian and David,

Thanks for your comments.

I just have one comment for clarification on the following proposal:

I think the original text is correct, so it is not necessary to add the last sentence in the "NEW'.

I think the amount of frequency in use is exactly the same value of the slot width (ie., m*SWG). Please see the formula:

Frequency slot = [(central frequency) - (slot width)/2] ~[(central frequency) + (slot width)/2]

In addition, I think some people might be confused by Nominal Central Frequency Granularity (which is 6.25) and Slot Width Granularity (which is 12.5).

================================================================================================

>That definitely helps.

Best Regards

Fatai

-----Original Message-----
From: Black, David [mailto:[email-masked]]
Sent: Tuesday, August 04, 2015 10:30 PM
To: [email-masked]; Fatai Zhang; [email-masked]; [email-masked]; [email-masked]; 'General Area Review Team'
Cc: [email-masked]; [email-masked]; Black, David
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

Adrian,

Thanks,

--David

> To: Black, David; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

> [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; 'General Area Review

> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

[... snip ...]

That definitely helps.

That also helps.

Touche'

GMPLS expert.

Ok.

Ok.

---

From: "Black, David" <[email-masked]>
Date: Wed, 5 Aug 2015 01:34:27 +0000

Hi Fatai,

> Frequency slot = [(central frequency) - (slot width)/2] ~[(central frequency) + (slot width)/2]

That was not obvious to me in reading the draft.

As an alternative to Adrian's new sentence, could you add that formula to the draft?

Thanks,
--David

From: Fatai Zhang [mailto:[email-masked]]
Sent: Tuesday, August 04, 2015 9:08 PM
To: Black, David; [email-masked]; [email-masked]; [email-masked]; [email-masked]; 'General Area Review Team'
Cc: [email-masked]; [email-masked]
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

Hi Adrian and David,

Best Regards

Fatai

-----Original Message-----
From: Black, David [mailto:[email-masked]]
Sent: Tuesday, August 04, 2015 10:30 PM
To: [email-masked]<mailto:[email-masked]>; Fatai Zhang; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; 'General Area Review Team'
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

Adrian,

Thanks,

--David

[... snip ...]

That definitely helps.

That also helps.

Touche'

GMPLS expert.

Ok.

Ok.

---

From: Fatai Zhang <[email-masked]>
Date: Wed, 5 Aug 2015 11:51:20 +0000

Hi David,

I am not sure if it needs the formula or not, but I think you can get more information from Section 3.2.1.

It can be seen that a slot width is constrained to be m x SWG....,  Slot Width Granularity (SWG) is  12.5 GHz, and Nominal Central Frequency Granularity is 6.25GHz.

Take Figure 3 as an example.

Note that the '--' represents the Nominal Central Frequency Granularity (NOT Slot Width Granularity)!!  i.e., a couple of '--' forms the size of one SWG.

Frequency Slot 1: slot width = 2*SWG=2*12.5=25GHz.
Frequency Slot 2: slot width = 3*SWG=3*12.5=37.5GHz.

Best Regards

Fatai

From: Black, David [mailto:[email-masked]]
Sent: Wednesday, August 05, 2015 9:34 AM
To: Fatai Zhang; [email-masked]; [email-masked]; [email-masked]; [email-masked]; 'General Area Review Team'
Cc: [email-masked]; [email-masked]
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

Hi Fatai,

Thanks,
--David

To: Black, David; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; 'General Area Review Team'

Hi Adrian and David,

Best Regards

Fatai

-----Original Message-----
From: Black, David [mailto:[email-masked]]
Sent: Tuesday, August 04, 2015 10:30 PM
To: [email-masked]<mailto:[email-masked]>; Fatai Zhang; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; 'General Area Review Team'
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 - Nits/editorial items

Adrian,

Thanks,

--David

[... snip ...]

That definitely helps.

That also helps.

Touche'

GMPLS expert.

Ok.

Ok.

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 5 Aug 2015 14:02:10 +0100

Right, thanks Fatai. You have put us right.
 
But David and I both got confused by Figure 3, and perhaps by the difference
between n and m.
 
I suggest
 
OLD
         Slot width = 25 GHz     Slot width = 37.5 GHz
NEW
         Slot width = 25 GHz     Slot width = 37.5 GHz
             n = 4,   m = 2          n = 6,  m = 3      
END
 
OLD
      *  The '--' represents the nominal central frequency granularity
NEW
      *  The '--' represents the nominal central frequency granularity in units
of 6.25 GHz
END
 
Cheers,
Adrian
 
From: Fatai Zhang [mailto:[email-masked]] 
Sent: 05 August 2015 12:51
To: Black, David; [email-masked]; [email-masked];
[email-masked]; [email-masked]; 'General Area Review
Team'
Cc: [email-masked]; [email-masked]
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 -
Nits/editorial items
 
Hi David,
 
I am not sure if it needs the formula or not, but I think you can get more
information from Section 3.2.1. 
 
It can be seen that a slot width is constrained to be m x SWG..,  Slot Width
Granularity (SWG) is  12.5 GHz, and Nominal Central Frequency Granularity is
6.25GHz.

Note that the '--' represents the Nominal Central Frequency Granularity (NOT
Slot Width Granularity)!!  i.e., a couple of '--' forms the size of one SWG.

 
Best Regards
 
Fatai
 
From: Black, David [mailto:[email-masked]] 
Sent: Wednesday, August 05, 2015 9:34 AM
To: Fatai Zhang; [email-masked]; [email-masked];
[email-masked]; [email-masked]; 'General Area Review
Team'
Cc: [email-masked]; [email-masked]
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 -
Nits/editorial items
 
Hi Fatai,
 
> I think the amount of frequency in use is exactly the same value of the slot

As an alternative to Adrian's new sentence, could you add that formula to the
draft?
 
Thanks,
--David
 
From: Fatai Zhang [mailto:[email-masked]] 
Sent: Tuesday, August 04, 2015 9:08 PM
To: Black, David; [email-masked]; [email-masked];
[email-masked]; [email-masked]; 'General Area Review
Team'
Cc: [email-masked]; [email-masked]
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 -
Nits/editorial items
 
Hi Adrian and David,

 
I think the original text is correct, so it is not necessary to add the last
sentence in the "NEW'. 
 
I think the amount of frequency in use is exactly the same value of the slot
width (ie., m*SWG). Please see the formula:
 
Frequency slot = [(central frequency) - (slot width)/2] ~[(central frequency) +
(slot width)/2]
 
In addition, I think some people might be confused by Nominal Central Frequency
Granularity (which is 6.25) and Slot Width Granularity (which is 12.5).

================================================================================
================

 
 
Best Regards
 
Fatai

-----Original Message-----
From: Black, David [mailto:[email-masked]] 
Sent: Tuesday, August 04, 2015 10:30 PM
To: [email-masked]; Fatai Zhang; [email-masked];
[email-masked]; [email-masked]; 'General Area Review
Team'
Cc: [email-masked]; [email-masked]; Black, David
Subject: RE: [CCAMP] Gen-ART review of draft-ietf-ccamp-flexi-grid-fwk-05 -
Nits/editorial items
 
Adrian,

Thanks,
--David
 
> From: Adrian Farrel [ <mailto:[email-masked]> mailto:[email-masked]]
> To: Black, David;  <mailto:[email-masked]> [email-masked];
<mailto:[email-masked]> [email-masked];
>  <mailto:[email-masked]> [email-masked];
<mailto:[email-masked]> [email-masked]; 'General Area Review
> Team'
> Cc:  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]>
[email-masked]
 
[... snip ...]

 
 
That definitely helps.

That also helps.

Touche'

 

 
 
Ok.

Ok.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 6 Aug 2015 12:36:35 +0300

David - many thanks once again for your excellent review! And thank you Fatai and others for
accommodating the comments.

Jari

---

From: Ramon Casellas <[email-masked]>
Date: Mon, 24 Aug 2015 12:29:39 +0200

El 04/08/2015 a las 16:30, Black, David escribió:
> items.
(snip)
>>> Ok, proof by (ITU-T) authority wins here.
Ramon> No change here then.
>>        frequency in use is actually twice the value of the slot width.
Ramon> as noted by Fatai, I think the second part of the "NEW" is 
incorrect. The slot width is always m*SWG. Do not confuse with NCF 
granularity
I am also reluctant to add Fatai formula Frequency slot = [(central 
frequency) - (slot width)/2] ~[(central frequency) + (slot width)/2]
since it is adding a new way of describing the slot in addition to the 
(n,m) pair via the start / end NCF.

In short, IMHO the slot width is the amount of optical spectrum (m*SWG) 
and the slot width is "centered" at its Nominal _Central_ Frequency (n). 
That is it, regardless of whether SWG and NCF granularity happen to be 
12.5 and 6.25

No changes here.

>>         the media channel is effective frequency slot shown.
Ramon> Changed to NEW. Also shifted the text "Frequency slot 1" of the 
figure a bit to the left to be
centered
> Ramon> Changed, thanks.

> I don't understand how "e.g." defines "TE link".
Ramon> Changed to

NEW
(e.g., as a TE link, as defined in [RFC3945].)
> Ok, chalk this one (and probably the previous one) up to me not being a

Ramon> no changes

>> While "transponder" is technically correct, using "transceiver" would be more
Ramon> Changed to transceiver, thanks. Probably the typo caused it being 
missed in a S&R :)

>>>     messages, and a specific frequency slot can be requeste on any
Ramon> changed, thanks.
>>> I believe those are RSVP-TE messages - that should be stated.
Ramon> Changed to "present in the RSVP-TE Path message (...) RSVP-TE 
Resv message.
Thanks

>> Penultimate paragraph of page 21.
Ramon> no changes.

>>> Figures 15 and 16 need their variables (e.g., m_a, FSb) somehow
Ramon> Changed to
                          C B                A
           |Path(m_req)   | ^                |
           |--------->    | #                |
           |              | #                ^
-^--------------^----------------#----------------#--
Effective #              # #                #
FS n, m   # . . . . . . .#. . . . . . . . # . . . . . . . .# <-fixed
           #              # #                #   n
-v--------------v----------------#----------------#---
           |              | #                v
           |              |                # Resv  |
           |              |                v <------ |
           |              |                |FlowSpec(n, m_a)|
           |              | <--------|                |
           |              |  FlowSpec (n,  |
                 <--------|      min(m_a, m_b))
           FlowSpec (n,   |
             min(m_a, m_b, m_c))

             m_a, m_b, m_c: Selected frequency slot widths

and

                         C B                 A
           |Path(m_req)  ^ |                 |
           |--------->   # |                 |
           |             # ^                 ^
-^-------------#----------------#-----------------#--------
Effective #             # #                 #
FS n, m   #             # #                 #
           #             # #                 #
-v-------------v----------------#-----------------#--------
           |             | #                 v
           |             |                # Resv  |
           |             |                v <------ |
           |             |                |FlowSpec(n_a, m_a)
           |             | <--------|                 |
           |             |  FlowSpec (FSb [intersect] FSa)
                <--------|
          FlowSpec ([intersect] FSa,FSb,FSc)

           n_a: Selected nominal central frequencyfr by node A
           m_a: Selected frequency slot widths by node A
           FSa, FSb, FSc: Frequency slot at each hop A, B, C

>>> and spelling out the term.
Ramon> done.
>>>     central frequency granularity is 12.5 GHz and where slot widths are
Ramon> although sentence did try (badly) to describe a different slot 
widths (by default the values are 6.25 and 12.5) the sentence did not 
add value other than being a trivial example. Removed

>>> 5.1.1. What is L-band?  This is the first time it's mentioned.
Ramon> changed to

The control plane architecture SHOULD allow for the support of
L-band (the wavelength range 1565 nm to 1625 nm) and S-band (the
wavelength range 1460 nm to 1530 nm).

also added

(...)  the entire C-band (the wavelength range 1530–1565 nm, which
corresponds to the amplification range of erbium doped fiber
amplifiers)

Many thanks
Ramon

---

From: Ramon Casellas <[email-masked]>
Date: Mon, 24 Aug 2015 12:49:17 +0200

Adrian, all

Thanks, pleasee see inline

El 05/08/2015 a las 15:02, Adrian Farrel escribió:
> But David and I both got confused by Figure 3, and perhaps by the 
> difference between n and m.
>
> I suggest
>
> OLD
>
> Slot width = 25 GHzSlot width = 37.5 GHz
>
> NEW
>
> Slot width = 25 GHzSlot width = 37.5 GHz
>
> n = 4,m = 2n = 6,m = 3
>
> END
>

Ramon> ok to change, but don't you mean

NEW

Slot width = 25 GHzSlot width = 37.5 GHz

n = 0,m = 2n = 7,m = 3

> OLD
>
> *The '--' represents the nominal central frequency granularity
>
> NEW
>
> *The '--' represents the nominal central frequency granularity in 
> units of 6.25 GHz
>
> END
>
Ramon> changed as your suggestion (although I could even argue that it 
is not even necessary to explain '--' it can be seen as the frequency 
axis and by definition the separation between adjacent 'n' is 6.25 GHz....)

Thanks
Ramon